> For the complete documentation index, see [llms.txt](https://docs.arcware.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arcware.cloud/web-integration/webrtc-plugin/props-and-types.md).

# Props and Types

***

Please follow to `WebRTCClientProps` interface exported from module to check properties types

Available props:<br>

<table><thead><tr><th width="183">Prop name</th><th width="195">Type</th><th>Description</th><th>Default</th></tr></thead><tbody><tr><td><em><mark style="color:yellow;"><strong>address</strong></mark></em></td><td><em>string</em></td><td>WSS Url of Signalling</td><td><mark style="color:blue;"><code>undefined</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>packageId</strong></mark></em></td><td><em>string</em></td><td>Id of your project</td><td><mark style="color:blue;"><code>undefined</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>shareId</strong></mark></em></td><td><em>string</em></td><td>Share Id created for your project</td><td><mark style="color:blue;"><code>undefined</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>loader</strong></mark></em></td><td><em>(val: boolean, disconnected?: boolean) => void</em></td><td>Callback for loading status</td><td><mark style="color:blue;"><code>undefined</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>videoInitializeCallback</strong></mark></em></td><td><em>(descriptor) => unknown</em></td><td>This event will be triggered once the video is initialized and ready to play.</td><td><mark style="color:blue;"><code>undefined</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>sizeContainer</strong></mark></em></td><td><em>HTMLElement | string</em></td><td>The root container defines the boundaries of the video and container elements. In case of a string, please provide the ID attribute of the HTML element. If you do so, there is no need to specify the container and videoRef arguments.</td><td><mark style="color:blue;"><code>undefined</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>container</strong></mark></em></td><td><em>HTMLElement</em></td><td>This element will wrap the video so that we can place UI elements that are aligned with the size of the <code>&#x3C;video></code></td><td><mark style="color:blue;"><code>undefined</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>videoRef</strong></mark></em></td><td><em>HTMLVideoElement</em></td><td><code>&#x3C;video></code> element reference</td><td><mark style="color:blue;"><code>undefined</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>audioRef</strong></mark></em></td><td><em>HTMLAudioElement</em></td><td>element reference</td><td><mark style="color:blue;"><code>undefined</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>orientationZoom</strong></mark></em></td><td><p>{</p><p>portrait: number; </p><p>landscape: number; </p><p>}</p></td><td>This is the zoom level to send to the UE4 application when switching from portrait to landscape mode, and vice versa.</td><td><mark style="color:blue;"><code>undefined</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>forceVideoToFitContainer</strong></mark></em></td><td><em>boolean</em></td><td>Try to fit sizeContainer</td><td><mark style="color:blue;"><code>true</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>extmapAllowMixed</strong></mark></em></td><td><em>boolean</em></td><td>Should be false if UE version is less than 4.27</td><td><mark style="color:blue;"><code>true</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>applicationResponse</strong></mark></em></td><td><em>(response: string) => unknown</em></td><td>This is the callback that will be triggered if the UE application sends a text response.</td><td><mark style="color:blue;"><code>undefined</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>autoplay</strong></mark></em></td><td><p>{ </p><p><em>video</em>: <em>boolean</em>;</p><p><em>audio</em>: <em>boolean</em>; </p><p>}</p></td><td>Autoplay for <code>video</code> and <code>audio</code></td><td><p>{ </p><p>   <mark style="color:blue;"><code>video: true,</code></mark> </p><p>   <mark style="color:blue;"><code>audio: true,</code></mark></p><p>}</p></td></tr><tr><td><em><mark style="color:yellow;"><strong>playOverlay</strong></mark></em></td><td><em>boolean</em></td><td>Overlay with play button</td><td><mark style="color:blue;"><code>false</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>updateQueueData</strong></mark></em></td><td><p>{ </p><p>updateQueueData: (queueData: Queue) => void; </p><p>// triggered when you are not in a queue anymore</p><p>hideQueueDialog: () => void; }</p></td><td>Callback to update the queue dialog state</td><td><mark style="color:blue;"><code>undefined</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>sendResolutionOnResize</strong></mark></em></td><td><em>boolean</em></td><td><em>enable / disable</em> sendResolution when window is resized</td><td><mark style="color:blue;"><code>true</code></mark></td></tr><tr><td><em><mark style="color:yellow;"><strong>sendLetter</strong></mark></em></td><td><em>(letter: string) => unknown</em></td><td>These are the information messages from the signaling system about the current connection status.</td><td><mark style="color:blue;"><code>undefined</code></mark></td></tr><tr><td></td><td></td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.arcware.cloud/web-integration/webrtc-plugin/props-and-types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
